package java.awt;

import java.util.HashMap;
import java.util.Map;

class VKCollection
{
    Map<Integer, String> code2name;
    Map<String, Integer> name2code;
    
    public VKCollection() {
        this.code2name = new HashMap();
        this.name2code = new HashMap();
    }
    
    public synchronized void put(String s, Integer n) {
        assert s != null && n != null;
        assert this.findName(n) == null;
        assert this.findCode(s) == null;
        this.code2name.put(n, s);
        this.name2code.put(s, n);
        return;
    }
    
    public synchronized Integer findCode(String s) {
        assert s != null;
        return (Integer)this.name2code.get(s);
    }
    
    public synchronized String findName(Integer n) {
        assert n != null;
        return (String)this.code2name.get(n);
    }
}
